opensaml::MessageEncoder::ArtifactGenerator Class Referenceabstract

Interface to caller-supplied artifact generation mechanism. More...

`#include <saml/binding/MessageEncoder.h>`

## Public Member Functions

virtual SAMLArtifact * | generateSAML1Artifact (const saml2md::EntityDescriptor *relyingParty) const =0
| Generate a SAML 1.x artifact suitable for consumption by the relying party.
virtual saml2p::SAML2Artifact * | generateSAML2Artifact (const saml2md::EntityDescriptor *relyingParty) const =0
| Generate a SAML 2.0 artifact suitable for consumption by the relying party.

## Detailed Description

Interface to caller-supplied artifact generation mechanism.

Generating an artifact for storage and retrieval requires knowledge of the sender's SourceID (or sometimes SourceLocation), and the relying party's preferred artifact type. This information can be supplied using whatever configuration or defaults are appropriate for the SAML application. A MessageEncoder implementation will invoke the supplied generator interface when it requires an artifact be created.

## Member Function Documentation

## generateSAML1Artifact()

virtual SAMLArtifact * opensaml::MessageEncoder::ArtifactGenerator::generateSAML1Artifact | ( | const saml2md::EntityDescriptor * | relyingParty | ) | const

pure virtual

Generate a SAML 1.x artifact suitable for consumption by the relying party.

Parameters

  relyingParty | the party that will recieve the artifact

Returns
  a SAML 1.x artifact with a random assertion handle

## generateSAML2Artifact()

virtual saml2p::SAML2Artifact * opensaml::MessageEncoder::ArtifactGenerator::generateSAML2Artifact | ( | const saml2md::EntityDescriptor * | relyingParty | ) | const

pure virtual

Generate a SAML 2.0 artifact suitable for consumption by the relying party.

Parameters

  relyingParty | the party that will recieve the artifact

Returns
  a SAML 2.0 artifact with a random message handle

The documentation for this class was generated from the following file:

- saml/binding/MessageEncoder.h